Subject: Definition of TSN

From: [email-masked]
Date: Thu, 5 Jun 2003 02:11:23 -0700 (PDT)

Hi,
Is TSN unique in an endpoint? Or it is unique in a stream if an endpoint
has several streams. I guess it is unique in an endpoint, even when it has
several streams. Am I right?
Regards,

Zhou Yu
ECE UBC

---

From: [email-masked]
Date: Thu, 5 Jun 2003 17:47:09 +0530

There is one and only one TSN counter for each association. The sequencing
within streams is
maintained using Stream Sequence Number (SSN).

regards
Manish

Hughes Software Systems
http://www.hssworld.com

<[email-masked]> on 06/05/2003 05:48:58 PM

To:    Manish Rajpal/HSS@HSS
cc:    <[email-masked]>

Subject:    Re: Definition of TSN

Hi,
I have a doubt. Say one endpoint has 2 outbound streams to another
endpoint. It sent one massage in the first stream and then sent another
message in the second stream. How does the TSN increase? Do we have only
one TSN counter in the endpoint? Or do we have one TSN counter in each
independent stream?
Regards,

Zhou Yu
ECE UBC

>
>
>
>
> Hi,
>
> THe TSN is sequence number which is unique for each data message and
>  is independent of any stream sequence number assigned at the stream
> level.
>
> The reciever of data acknowledeges this number in the sack.
>
> regards
> manish
>
> Hughes Software Systems
> http://www.hssworld.com
>
>> Hi,
>> Is TSN unique in an endpoint? Or it is unique in a stream if an
>> endpoint has several streams. I guess it is unique in an endpoint,
>> even when it has several streams. Am I right?
>> Regards,
>>
>> Zhou Yu
>> ECE UBC
>>
>
> "DISCLAIMER: This message is proprietary to Hughes Software Systems
> Limited (HSS) and is intended solely for the use of the individual to
> whom it is addressed. It may contain  privileged or confidential
> information and should not be circulated or used for any purpose other
> than for what it is intended. If you have received this message in
> error, please notify the originator immediately. If you are not the
> intended recipient, you are notified that you are strictly prohibited
> from using, copying, altering, or disclosing the contents of this
> message. HSS accepts no responsibility for loss or damage arising from
> the use of the information transmitted by this email including damage
> from virus."